#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x3e5616d8, "module_layout" },
	{ 0xf40f1d62, "ife_validate_meta_u16" },
	{ 0x9231b675, "ife_release_meta_gen" },
	{ 0x29b437bc, "ife_alloc_meta_u16" },
	{ 0x65e14167, "ife_get_meta_u16" },
	{ 0x1bd3ae4f, "unregister_ife_op" },
	{ 0xc19620e0, "register_ife_op" },
	{ 0xb22a2f37, "ife_check_meta_u16" },
	{ 0x693ae80, "ife_encode_meta_u16" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=act_ife";


MODULE_INFO(srcversion, "838BA4DE101035AC1403662");
